메인 콘텐츠로 건너뛰기
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
mintAndBurn
토큰 - 발행 및 소각
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/mintAndBurn \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1000000",
      "blockHeight": 123456789,
      "blockTimestamp": 1710417600000,
      "mintBurnType": "all",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "transactionSignature": "3A7B9C1D2E4F6G8"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

chain
enum<string>
필수

지원되는 네트워크에 나열된 체인 이름 Supported blockchain chains

사용 가능한 옵션:
sol,
eth,
bsc
tokenAddress
string
필수

토큰 주소

쿼리 매개변수

cursor
string

페이지네이션 커서

limit
integer<int64>
기본값:20

페이지당 결과 수

direction
enum<string>
기본값:next

페이지네이션 방향 (next 또는 prev) Pagination direction

사용 가능한 옵션:
next,
prev
type
enum<string>

발행 및 소각 작업 필터 유형 Mint/burn type filter

사용 가능한 옵션:
all,
mint,
burn

응답

200 - application/json

발행 및 소각 조회

Generic pagination response

data
object[]
필수

Page data

endCursor
string | null

Cursor for the end of current page

예시:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

예시:

false

hasPrev
boolean

Whether there is a previous page

예시:

false

startCursor
string | null

Cursor for the start of current page

예시:

"eyJpZCI6InN0YXJ0In0="